Bug 469568 - High Rate of Battery Drain
High Rate of Battery Drain
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-02 12:18 EST by Partha Bagchi
Modified: 2013-01-30 21:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:43:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Zipped output from dmesg, battery info and settings from rc.local (16.93 KB, application/octet-stream)
2009-06-10 02:33 EDT, Marcin
no flags Details

  None (edit)
Description Partha Bagchi 2008-11-02 12:18:49 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Unplug the power cord and put laptop on battery
2. Battery drains very fast.
3. Down 10% within 2 minutes
  
Actual results: Down 10% within 2 minutes


Expected results: Down 10% within 30 minutes


Additional info: uname -a > 2.6.27.4-68.fc10.i686
My Laptop is a Sony Viao VGN-FW139E. 

The output of the /proc/acpi/battery/BAT0/info is:
present:                 yes
design capacity:         50610 mWh
last full capacity:      50350 mWh
battery technology:      non-rechargeable
design voltage:          124720 mV
design capacity warning: 1000 mWh
design capacity low:     400 mWh
capacity granularity 1:  100 mWh
capacity granularity 2:  100 mWh
model number:            
serial number:           
battery type:            LiOn
OEM info:                Sony Corp.

The output of /proc/acpi/battery/BAT0/state is
present:                 yes
capacity state:          ok
charging state:          discharging
present rate:            18720 mW
remaining capacity:      42110 mWh
present voltage:         unknown

Under Windows Vista, the battery lasted 3 hours.
Also, when the laptop is on battery, the screen does not dim as it should. The power-manager claims that the screen is dimmed, but it is still at 100%. Using the keyboard (Fn-F5) does not dim the screen either.
Comment 1 Bug Zapper 2008-11-25 23:38:50 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Marcin 2009-06-08 05:04:51 EDT
The same effect on fresh new HP Pavilion dv5-1150 with F11 RC4. Except screen is dimed and  keyb Fn-F5 works OK. 
Under F11 battery last only for 1 hour with no user apps started. Only GNOME desktop.
Under Vista installed on the other partition it lasts 3 hours.

Because I have no access to the machine roght now, I'll try to send listings from /proc/acpi.. later and from dmesg output ( remember ACPI exception in this output ).

Regards 
Marcin Wołyniak

BTW. Maybe bump up the version to 11 ????
Comment 3 Marcin 2009-06-10 02:32:47 EDT
Sending outpu of dmesg, battery info and settings I used to manage to obtain ~ 1.5 hour of battery life under no load and ~ 1 hour with browsing with firefox various sites including those with flash content.

Regards
Marcin Wołyniak
Comment 4 Marcin 2009-06-10 02:33:47 EDT
Created attachment 347163 [details]
Zipped output from dmesg, battery info and settings from rc.local
Comment 5 Bug Zapper 2009-11-18 02:57:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Marcin 2009-11-18 08:04:18 EST
Please bump the version to 11. The bug still exist in F11 version. I'll try  to test it on F12 now released.
Comment 7 exvitascientia 2009-11-24 01:46:09 EST
also having this problem in F12. Using powertop <kernel_core>: hrtimer_start_range_ns (tick_sched_timer) causes 466.7 wakeups and radeon causes 101.5 on my Inspiron 6400. Battery life is less than 2 hours in linux. In Vista, the battery life is 4 hours.
Comment 8 Bug Zapper 2009-12-18 01:43:57 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Marcin 2009-12-18 02:08:35 EST
Tried on F12 on mentioned earlier HP Pavilion dv5-1150. Sadly, the bug still exist in F12 version. The same effect as of F11.
Please bump the version to 12.
Partha Bagchi, could You be so kind and reopen bug with F12 version?
Regards

Note You need to log in before you can comment on or make changes to this bug.